Update a Field for a Life Stage Section for a Firm Run in API Explorer
Ask AI
PUT
/api/v1/expenditure-structure/field/{lifeStageField_uuid}
curl \
--request PUT 'https://api.plannrcrm.com/api/v1/expenditure-structure/field/dcf0-484e-a0c5-08590fe89a84-f6aa1670' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"name": "Electricity",
"life_stage_section_uuid": "2f823569-a199-44af-896e-40cc2ece5344"
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"name": "Electricity",
"life_stage_section_uuid": "2f823569-a199-44af-896e-40cc2ece5344"
}
Response examples (200)
[
{
"uuid": "d3ebc594-75de-4816-9b57-d85d953a5bf4",
"name": "Electricity",
"section": "Housekeeping Expenses",
"created_at": "2026-11-17T20:47:10+00:00",
"updated_at": "2026-11-17T20:47:10+00:00"
}
]
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}